# Remove a set of sequences

`seq_filter.Rd`

Removes a set of sequences

    seq_filter(input, rm.seq)

## Arguments

input | `ShortReadQ` object
rm.seq | Ccharacter vector with sequences to remove

## Value

Filtered `ShortReadQ` object

## Examples

    require(ShortRead)

    set.seed(10)
    input <- random_length(30, 3:7)
    rm.seq  = c('TGGTC', 'CGGT', 'GTTCT', 'ATA')

    # verify that some sequences match
    match_before <- unlist(lapply(rm.seq,
     function(x) grep(x, as.character(sread(input)))))

    filtered <- seq_filter(input,rm.seq =  rm.seq)

    # verify that matching sequences were removed
    match_after <- unlist(lapply(rm.seq,
    function(x) grep(x, as.character(sread(filtered)))))